thymikee and cpojer chore: upgrade deps (#6400)
* chore: upgrade deps

* upgrade more packages

* upgrade micromatch

* use jest-junit as a reporter

* downgrade slash to 1.0.0 for now

* revert fbjs incompatible eslint plugins

* Revert eslint

* bring back eslint update because fbjs published new version:

* revert rn react upgrade

* update eslint-plugin-babel peerDep
Latest commit d1ce3cd Jun 21, 2018